Apislack
Search Slack messages (search.messages; may require a user token upstream)
Read operation: does not mutate upstream state.
curl -X GET "https://api.modernloop.dev/rest/v1/slack/search/messages?query=string" \ -H "Authorization: Bearer $MLOOP_INTERNAL_MCP_API_KEY"{ "messages": [ { "ts": "string", "text": "string", "user": "string", "username": "string", "channel": { "id": "string", "name": "string" }, "permalink": "string" } ], "total": 0, "page": 0, "page_count": 0}{ "error": { "code": "string", "message": "string", "upstreamStatus": 0 }}{ "error": { "code": "string", "message": "string", "upstreamStatus": 0 }}{ "error": { "code": "string", "message": "string", "upstreamStatus": 0 }}{ "error": { "code": "string", "message": "string", "upstreamStatus": 0 }}{ "error": { "code": "string", "message": "string", "upstreamStatus": 0 }}Authorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
query*string
Search query, supports Slack search modifiers like in:#channel
Length
1 <= lengthcount?integer
Results per page (max 100)
Range
1 <= value <= 100Default
20page?integer
Page number
Range
1 <= valueResponse Body
application/json
application/json
application/json
application/json
application/json
application/json